# package include only on python file
# in result debuginfo is empty
%global debug_package %{nil}

Name:           caja-terminal
Version:        0.10
Release:        1%{?dist}
Summary:        Terminal embedded in Caja
Group:          System Environment/Shells
License:        GPLv3+
URL:            https://github.com/yselkowitz/%{name}
Source0:        https://github.com/yselkowitz/caja-terminal/archive/%{name}-%{version}.tar.gz

# only for rhel
Patch0:         caja-terminal_rhel-doc-dir-with-version.patch

BuildRequires:  gettext python2-devel

# needed for run caja-terminal
Requires:       python-gobject python-caja vte291 pyxdg

%description
Caja Terminal is a terminal embedded in Caja, the MATE file browser.
It is always open in the current folder, and follows the navigation
(like an automated "cd" command).

%prep
%setup -q

sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' code/caja-terminal.py
# move doc dir for rhel
%if 0%{?rhel}
%patch0 -p1 -b .rhel-doc-dir
%endif

%build
# no build needed

%install
%{make_install}

bash install.sh --package $RPM_BUILD_ROOT

%if 0%{?rhel}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
%endif

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc COPYING AUTHORS README
%{_datadir}/%{name}/
%{_datadir}/caja-python/extensions/%{name}.*


%changelog
* Fri Jun 16 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.10-1
- update to 0.10

* Thu Mar 02 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.9.1-4
- update requires

* Mon Feb 20 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.9.1-3
- build with gtk+-3 toolkit
- https://github.com/yselkowitz/caja-terminal/pull/8
- https://github.com/yselkowitz/caja-terminal/pull/7/commits/b04914d
- move docdir for rhel7

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 30 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.9.1-1
- update to 0.9.1 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.9-1
- update to 0.9 release
- switch to new upstream
- support GObject-Introspection

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-5
- unown /usr/lib/caja/extensions-2.0/python/, owned by python-caja now
- use modern make install macro

* Wed Sep 25 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-4
- disable debuginfo package

* Wed Sep 25 2013 Dan Horák <dan[at]danny.cz> - 0.8.1-3
- fix 64-bit build for non-x86 arches

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-2
- add python2 stacks
- own directories

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-1
- initial build for fedora
- update to 0.8.1

* Sat Jun 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8-1
- update to 0.8
- rebuild for mate-python removal

* Fri Nov 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.7-1
- build for f19
